Bug 818089 - VMs fail to start in case ovirtmgmt bridge doesn't have a link
VMs fail to start in case ovirtmgmt bridge doesn't have a link
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 04:12 EDT by Rami Vaknin
Modified: 2013-12-01 04:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:10:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (193.44 KB, image/png)
2013-04-02 09:29 EDT, Martin Pavlik
no flags Details
engine.log (27.10 KB, application/x-compressed-tar)
2013-04-02 09:29 EDT, Martin Pavlik
no flags Details
engine.log (27.10 KB, application/x-compressed-tar)
2013-04-02 09:32 EDT, Martin Pavlik
no flags Details
vdsm.log (185.13 KB, application/x-compressed-tar)
2013-04-02 09:33 EDT, Martin Pavlik
no flags Details
log_collector (854.73 KB, application/x-xz)
2013-04-02 09:33 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Rami Vaknin 2012-05-02 04:12:53 EDT
Version:
RPMs built from git hash ae5318111e935b2f9e3d440283f639d596b0c3e4 installed on Fedora 16.

I disconnected the ethernet cable from the em1 interface which is the only nic under ovirtmgmt bridge, VMs failed to start.
I connected the same nic to a network where there can't be any communication from that nic to other nodes (wrong ip address/netmask) and VMs started successfully.

Steps to reproduce:
1. Create a VM
2. Remove the cable from the ovirtmgmt bridge's interface (maybe ifdown to the bridge might be enough)
3. Start the VM

VDSM logs will be attached later on (in case they won't be override until I get them).
Comment 1 yeylon@redhat.com 2012-05-02 15:22:05 EDT
the main issue here is that the host will move in to non-op state once the link is down.

when working with all in one setup local host + local storage we do not have the obligation to have an active link in the host.
Comment 2 Dan Kenigsberg 2012-10-02 15:17:39 EDT
(In reply to comment #0)

> VDSM logs will be attached later on (in case they won't be override until I
> get them).

They haven't been...

(In reply to comment #1)
> the main issue here is that the host will move in to non-op state once the
> link is down.
> 
> when working with all in one setup local host + local storage we do not have
> the obligation to have an active link in the host.

If this is the case, it is not a Vdsm bug, but an Engine one.

As a workaround, in current upstream Engine, you can define the network as non-required, and set the news OnlyRequiredNetworksMandatoryForVdsSelection=True
Comment 3 Maor 2013-03-24 08:29:41 EDT
Is this still an issue? I see the reporter did not replied since May.
Any idea how we can get this issue forward or close it?
Comment 4 Rami Vaknin 2013-03-24 08:33:05 EDT
myakove, could you please help with the needinfo?
Comment 5 Martin Pavlik 2013-04-02 09:28:26 EDT
It seems that this bug requires some attention at least in AIO setup

I installed AIO setup via  
yum install ovirt-engine-setup-plugin-allinone
version: oVirt Engine Version: 3.3.0-0.2.master.20130401204125.gita95f899.fc18

I did ifdown ovirtmgmt && ifdown em1 (underlying interface for ovirtmgmt)

than I connected via another IP to engine GUI (via em2)

shutting down ovirtmgmt resulted in Non Responsive status of local_host (see screenshot 1) which put data-center in non-responsive status so no VM can be started

it seems that there was a problem with connecting to API

ERROR: _get_hypervisors_from_api: [ERROR]::oVirt API connection failure, [Errno 110] Connection timed out

attahced:
engine.log
vdsm.log
partial log_collector
Comment 6 Martin Pavlik 2013-04-02 09:29:00 EDT
Created attachment 730789 [details]
screenshot 1
Comment 7 Martin Pavlik 2013-04-02 09:29:56 EDT
Created attachment 730793 [details]
engine.log
Comment 8 Martin Pavlik 2013-04-02 09:32:13 EDT
Created attachment 730794 [details]
engine.log
Comment 9 Martin Pavlik 2013-04-02 09:33:25 EDT
Created attachment 730798 [details]
vdsm.log
Comment 10 Martin Pavlik 2013-04-02 09:33:48 EDT
Created attachment 730806 [details]
log_collector
Comment 11 Itamar Heim 2013-12-01 04:10:22 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.